#ifndef _GLOBALS_H_
#define _GLOBALS_H_

#include <Arduino.h>

typedef enum eSystem_Status
{
  sysStat_NOP,
  sysStat_Startup,
  sysStat_Normal,
  sysStat_Rain,
  sysStat_Purge,
  sysStat_Error
} tSystem_Status;

typedef struct Globals_t {
  tSystem_Status systemStatus = sysStat_Startup;
  uint8_t purgePulses= 0;
};

extern Globals_t globals;
extern uint32_t TravelDistance_highRes;

#endif